package Message

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"

	"wechat-api/internal/logic/Message"
	"wechat-api/internal/svc"
	"wechat-api/internal/types"
)

// swagger:route post /message/create Message CreateMessage
//
// Create message information | 创建Message
//
// Create message information | 创建Message
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: MessageInfo
//
// Responses:
//  200: BaseMsgResp

func CreateMessageHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.MessageInfo
		if err := httpx.Parse(r, &req, true); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := Message.NewCreateMessageLogic(r.Context(), svcCtx)
		resp, err := l.CreateMessage(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
